Skip to navigation

Create account settings export request

View as Markdown

Creates a new account settings export request.

To learn more about exporting account settings, see Account Settings Export in the Docusign Admin Guide.

You can export settings for up to 40 accounts at a time.

Specify the accounts whose settings you are requesting as JSON in the body of the request, like this:

{
"accounts": [
{ "account_id": "9ca037f4-xxxx-xxxx-xxxx-212e57d4f22e"},
{ "account_id": "624e3e00-xxxx-xxxx-xxxx-43918c520dab"}
]
}

Required authentication scopes: account_write.

Authentication

AuthorizationBearer
OAuth2 Access code Grant

Path parameters

organizationIdstringRequiredformat: "uuid"
The organization ID Guid

Request

This endpoint expects an object: request

accountslist of objectsOptional

Response

OK
idstringOptionalformat: "uuid"
The unique ID of this request.
typestringOptional

The type of export requested. One of:

  • organization_domain_users_export: All users of the reserved domains.
  • organization_external_memberships_export: Users whose email address domain is not linked to the organization.
  • organization_memberships_export: Every user in every account in the organization. Users in multiple accounts will appear more than once.
  • organization_account_settings_export: This value only applies to requests to export account settings.
requestorobjectOptional
createddatetimeOptional

The time and date the request was created. This is a date in ISO 8601 format.

Example: 2019-03-26T19:02:09.8957715Z

last_modifieddatetimeOptional

The time and date when the request was modified. This is typically the same as created.

completeddatetimeOptional
The time and date when the request completed. Null if the request is still in progress.
expiresdatetimeOptional
The time and date when the request expires.
statusstringOptional

The status of the request. One of:

  • failed
  • in_process
  • queued
  • completed
selected_accountslist of objectsOptional
selected_domainslist of objectsOptional
metadata_urlstringOptional

A pre-configured GET request to get the status of the export. Generally this is the same URI used to access this endpoint.

percent_completedintegerOptional

An integer between 0 to 100 (inclusive) that reports the progress of the request.

number_rowslongOptional
The number of rows returned in this request.
size_byteslongOptional
The size of the request in bytes.
resultslist of objectsOptional
An array of results. There is one set of results for each server an account is in.
successbooleanOptional

When true, the request succeeded.